请选择 进入手机版 | 继续访问电脑版

编译安装Mysql 8 报错:Cannot find appropriate system libraries for WITH_SSL=system.

[复制链接]
查看1805 | 回复0 | 2019-7-3 16:11:28 | 显示全部楼层 |阅读模式
一、故障现象

编译安装Mysql 8,执行cmake命令时,报错:
  1. Cannot find appropriate system libraries for WITH_SSL=system.
  2. Make sure you have specified a supported SSL version.
  3. Valid options are :
  4. system (use the OS openssl library),
  5. yes (synonym for system),
  6. </path/to/custom/openssl/installation>,
  7. wolfssl (use wolfSSL. See extra/README-wolfssl.txt on how to set this up)

  8. CMake Error at cmake/ssl.cmake:68 (MESSAGE):
  9.   Please install the appropriate openssl developer package.

  10. Call Stack (most recent call first):
  11.   cmake/ssl.cmake:413 (FATAL_SSL_NOT_FOUND_ERROR)
  12.   CMakeLists.txt:1002 (MYSQL_CHECK_SSL)


  13. -- Configuring incomplete, errors occurred!
  14. See also "/usr/local/mysql-8.0.16/CMakeFiles/CMakeOutput.log".
  15. See also "/usr/local/mysql-8.0.16/CMakeFiles/CMakeError.log".
复制代码


二、解决方法

# yum -y install openssl-devel openssl




上一篇:编译安装mysql 8 报错:-- MySQL currently requires boost_1_69_0
下一篇:编译安装mysql 8 报错:Could NOT find Curses (missing: CURSES_LIBRARY CURSES_INCLUDE_PATH)
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

1249

主题

2736

帖子

7万

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
70188
QQ